## org.apache.catalina.util
Class DOMWriter

    java.lang.Object
      org.apache.catalina.util.DOMWriter

    public class DOMWriter

extends java.lang.Object

A sample DOM writer. This sample program illustrates how to traverse a DOM tree in order to print a document that is parsed.

Field Summary
`protected boolean` `canonical` Canonical output.
`protected java.io.PrintWriter` `out` Print writer.

Constructor Summary
`DOMWriter(boolean canonical)` Default constructor.
`DOMWriter(java.lang.String encoding, boolean canonical)`
`DOMWriter(java.io.Writer writer, boolean canonical)`

Method Summary
`boolean` `getQualifiedNames()`
`static java.lang.String` `getWriterEncoding()`
`static boolean` `isValidJavaEncoding(java.lang.String encoding)`
`protected java.lang.String` `normalize(java.lang.String s)` Normalizes the given string.
`void` `print(org.w3c.dom.Node node)` Prints the specified node, recursively.
`void` `setQualifiedNames(boolean qualifiedNames)`
`static void` `setWriterEncoding(java.lang.String encoding)`
`protected org.w3c.dom.Attr[]` `sortAttributes(org.w3c.dom.NamedNodeMap attrs)` Returns a sorted list of attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected java.io.PrintWriter out

  Print writer.

### canonical

    protected boolean canonical

  Canonical output.

Constructor Detail

### DOMWriter

    public DOMWriter(java.lang.String encoding,
                     boolean canonical)
              throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

### DOMWriter

    public DOMWriter(boolean canonical)
              throws java.io.UnsupportedEncodingException

  Default constructor.

  Throws:
    `java.io.UnsupportedEncodingException`

### DOMWriter

    public DOMWriter(java.io.Writer writer,
                     boolean canonical)

Method Detail

### getQualifiedNames

    public boolean getQualifiedNames()

### setQualifiedNames

    public void setQualifiedNames(boolean qualifiedNames)

### getWriterEncoding

    public static java.lang.String getWriterEncoding()

### setWriterEncoding

    public static void setWriterEncoding(java.lang.String encoding)

### isValidJavaEncoding

    public static boolean isValidJavaEncoding(java.lang.String encoding)

### print

    public void print(org.w3c.dom.Node node)

  Prints the specified node, recursively.

### sortAttributes

    protected org.w3c.dom.Attr[] sortAttributes(org.w3c.dom.NamedNodeMap attrs)

  Returns a sorted list of attributes.

### normalize

    protected java.lang.String normalize(java.lang.String s)

  Normalizes the given string.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.